#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun May 23 09:16:23 2021

@author: eriboulet
"""

# Détermination de la constante de torsion du pendule

import numpy as np
from math import *
import matplotlib.pyplot as plt

# Saisie des masses (en g)

m = np.array([10,20,30,40])

# Saisie des angles (en degrés)

theta0 = np.array([53,107,157,207])

# Angles en radians

theta = theta0*pi/180

# Tracé de la courbe m(theta)

plt.plot(theta0,m, 'bo')
plt.xlabel("theta (en °)")
plt.ylabel("m (en g)")
plt.show()

# Calcul des constantes de torsion (en mN.m/rad) pour d = 8 cm et g = 9,8 m/s2

C0 = []
for i in range(len(m)):
    res=9.8*0.08*m[i]/theta[i]
    C0.append(res)

# Calcul de la constante de torsion (moyenne des valeurs)
C = np.mean(C0)
print ('Constante de torsion : C = ',C,'mN.m/rad')

# Calcul de l'incertitude sur la constante de torsion (écart type des valeurs/racine(4))
uC = np.std(C0)/2
print('Incertitude sur la constante de torsion : u(C) =',uC,'mN.m/rad')
